#!/bin/bash
# 01 00 * * * /web/bak/script/mysqlbackup.sh  >/dev/null 2>&1
DB_NAME_LIST=("bitrade-center" "bitrade-otc" "bitrade-spot" "bitrade-cfd" "smart-contract" "spark-agent" "spark-cms" "spark-portal" "spark-crm" "spark-config")
DB_USER="root"
DB_PASS="LEIs5RdIO_B"
BIN_DIR="/usr/bin"
BACK_DIR="/web/bak/data/mysql"
DATE="`date  +%Y%m%d`"
keepdays=2

for DB_NAME in ${DB_NAME_LIST[*]}
do
$BIN_DIR/mysqldump  -RE  -u$DB_USER -p$DB_PASS $DB_NAME > $BACK_DIR/${DB_NAME}_$DATE.sql
done

cd $BACK_DIR

for datafile in `ls |grep -v tar.gz`
do
    if [ ! -e $datafile ];
    then
        continue
    fi
    tar -zcf ${datafile}.tar.gz  $datafile && rm -rf $BACK_DIR/$datafile
    find . -type f -name "*20*".tar.gz -mtime +$keepdays -exec ionice -c3 rm -rf {} \;
done

